﻿******************************************************************************************;
******************************************************************************************;

/*  
   SEM MACROS Now called before the SEM conducted 
   makes all the needed ds 
   NOTE THAT PCALIS ODS macros are finished and live in the AUTOEXEC
*/ 
******************************************************************************************;
******************************************************************************************;

*GROUP AT CROSS SECTION ; 
%LET group = tm_arm_x ;

*%LET group = zvo2respond027 ;
*%LET group = zvo2respond030 ;

PROC SORT DATA= wipwide2; BY id; RUN;

DATA work.TEAM_ITT;
   SET wipwide2; BY id; 
DATA work.TEAM_ANYEX_ITT;
   SET work.TEAM_ITT;
   WHERE &group. = 2 OR &group. = 3 OR &group. = 4;   
DATA work.G1_ITT;
   SET work.TEAM_ITT;
   WHERE &group. = 1;
DATA work.G2_ITT;
   SET work.TEAM_ITT;
   WHERE &group. = 2;
DATA work.G3_ITT;
   SET work.TEAM_ITT;
   WHERE &group. = 3;
DATA work.G4_ITT;
   SET work.TEAM_ITT;
   WHERE &group. = 4;
RUN;

DATA work.TEAM_perp;
   SET wipwide2; BY id; 
   IF status_perprotocol = 0 THEN DELETE;          /* CHANGE THIS TO CONTROL ITT VS PER-PROTOCOL ANALYSES */ 
DATA work.TEAM_ANYEX_perp;
   SET work.TEAM_perp;
   WHERE &group. = 2 OR &group. = 3 OR &group. = 4;   
DATA work.G1_perp;
   SET work.TEAM_perp;
   WHERE &group. = 1;
DATA work.G2_perp;
   SET work.TEAM_perp;
   WHERE &group. = 2;
DATA work.G3_perp;
   SET work.TEAM_perp;
   WHERE &group. = 3;
DATA work.G4_perp;
   SET work.TEAM_perp;
   WHERE &group. = 4;
RUN;
