﻿%MACRO MeansCheck; 
	***********************************************************************************************************************;
	* check some descriptives ;
	***********************************************************************************************************************;
	PROC SORT DATA = TEAM_ITT;	BY &group;
	PROC FREQ DATA = TEAM_ITT;
		TABLE &group;
	PROC CORR DATA = TEAM_ITT;
		BY &group;
		VAR	&xarray  &yarray ;
	PROC MEANS DATA = TEAM_ITT N NMISS MEAN STD MIN MAX;
		CLASS &group;
		VAR	&xarray  &yarray ;
	RUN;

	PROC SORT DATA = TEAM_perp;	BY &group;
	PROC FREQ DATA = TEAM_perp;
		TABLE &group;
	PROC CORR DATA = TEAM_perp;
		BY &group;
		VAR	&xarray  &yarray ;
	PROC MEANS DATA = TEAM_perp   N NMISS MEAN STD MIN MAX;
		CLASS &group;
		VAR	&xarray  &yarray ;
	RUN;
/*
	PROC SORT DATA = TEAM_bdnf;	BY rs6265code2;
	PROC FREQ DATA = TEAM_bdnf;
		TABLE rs6265;
	PROC CORR DATA = TEAM_bdnf;
		BY rs6265;
		VAR	&xarray  &yarray ;
	PROC MEANS DATA = TEAM_bdnf   N NMISS MEAN STD MIN MAX;
		CLASS rs6265;
		VAR	&xarray  &yarray ;
	RUN;
*/ 

%MEND;